/*
 *  http.h - enable HTTP
 *
 *	Copyright (c) 1997 Naoya Tozuka <naochan@naochan.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * If you wish to incorporate parts of the Program into otherprograms 
 * whose distribution conditions are different, write to the author
 * to ask for permission. 
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

int   http_connect( char *hostname );
FILE *http_get( int soc, char *path );
void  http_close( int soc );

int   url_analyse( char *url, char *hostname, char *path );
int   set_base_url( char *url );

FILE *open_url( int *soc, char *url );
void  close_url( int soc );

int   url_get( FILE *to, char *url );
void  putout( FILE *from, FILE *to );


/* getimage */
char *produce_nameof_tmpfile( char *suffix );
int   tmp_open( char **tmpfile, int flags, char *suffix );
char *getimage( char *url );

